Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.jsonrpc
Class TurbineJsonRpc

    java.lang.Object
      org.apache.turbine.services.jsonrpc.TurbineJsonRpc

    public abstract class TurbineJsonRpc

extends Object

This is a static accessor class for `JsonRpcService`.

Version:
  $Id: TurbineJsonRpc.java 712125 2008-11-07 13:47:28Z seade $
Author:
  Scott Eade

Constructor Summary
`TurbineJsonRpc()`

Method Summary
`static void` | `clearBridge(javax.servlet.http.HttpSession session)`
`static com.metaparadigm.jsonrpc.JSONRPCBridge` | `getBridge(javax.servlet.http.HttpSession session)`
`static JsonRpcService` | `getService()` Returns system's configured implementation of `JsonRpcService`.
`static Object` | `processCall(CharArrayWriter cdata, com.metaparadigm.jsonrpc.JSONRPCBridge json_bridge, javax.servlet.http.HttpServletRequest request)`
`static void` | `registerObject(javax.servlet.http.HttpSession session, String key, Object value)`
`static void` | `registerObjectGlobal(String key, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TurbineJsonRpc

    public TurbineJsonRpc()

Method Detail

### getService

    public static JsonRpcService getService()

  Returns system's configured implementation of `JsonRpcService`.

  Returns:
    an implementation of `JsonRpcService`

### processCall

    public static Object processCall(CharArrayWriter cdata,
                                     com.metaparadigm.jsonrpc.JSONRPCBridge json_bridge,
                                     javax.servlet.http.HttpServletRequest request)

### registerObject

    public static void registerObject(javax.servlet.http.HttpSession session,
                                      String key,
                                      Object value)

### registerObjectGlobal

    public static void registerObjectGlobal(String key,
                                            Object value)

### getBridge

    public static com.metaparadigm.jsonrpc.JSONRPCBridge getBridge(javax.servlet.http.HttpSession session)

### clearBridge

    public static void clearBridge(javax.servlet.http.HttpSession session)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.